CREATE TABLE voms_user (
    `subject` TEXT(256),
    `name` VARCHAR(64),
    PRIMARY KEY (`subject`(256))
) ENGINE = InnoDB;

CREATE TABLE voms_group (
    `subject` TEXT(256),
    `name` VARCHAR(64),
    PRIMARY KEY (`subject`(256))
) ENGINE = InnoDB;

UPDATE amga SET amga_version = '2.0';

DROP FUNCTION seqnextval;

delimiter //
CREATE FUNCTION seqnextval(myseq varchar(64)) RETURNS BIGINT
READS SQL DATA
BEGIN
    DECLARE val BIGINT;
    UPDATE usersequences SET last_val=last_val+increment WHERE name = myseq;
    SELECT last_val INTO val FROM usersequences WHERE name = myseq FOR UPDATE;
    RETURN val;
END;
//
delimiter ;
