
CREATE TABLE voms_user (
    "subject" varchar(256),
    "name" varchar(64) ,
    PRIMARY KEY ("subject")
);

CREATE TABLE voms_group (
    "subject" varchar(256),
    "name" varchar(64) ,
    PRIMARY KEY ("subject")
);

UPDATE amga SET amga_version = '2.0';

CREATE OR REPLACE FUNCTION newguid() RETURNS TRIGGER AS '
DECLARE
    temp varchar;
BEGIN
--    RAISE NOTICE ''GUID INSERT TRIGGER CALLED'';
    IF NOT NEW.guid IS NULL THEN
        temp = TG_RELNAME || TG_ARGV[0];
        IF TG_ARGV[0] = ''_s'' THEN
            temp = temp || NEW.dir;
        END IF;
        INSERT INTO guids ("guid", "si", "reference") VALUES (NEW.guid, '''', temp);
    END IF;
    RETURN NULL;
END;
' LANGUAGE plpgsql;


