.TH amgad "8" "September 2005" "amgad (glite-amga-server)" "gLite Services"
.SH NAME
amgad \- The gLite AMGA metadata server
.SH SYNOPSIS
.B amgad [\fI-dhD\fR] [\fI-p port\fR] ] [\fI-c config\-file\fR]] [\fI-l log\-file\fR]
.SH DESCRIPTION
amgad starts up the AMGA metadata server.
.SH OPTIONS
.TP
.B "\-h, \-\-help"
Show a brief summary of the options permitted.
.TP
.B "\-p, \-\-port <port>"
Sets the port the server binds to. The default is 8822.
.TP
.B "\-c, \-\-config\-file" <file>
Use a configuration file other than the one default one in $GLITE_LOCATION/etc/amgad.config.
.TP
.B "\-D, \-\-daemon"
Start amgad in the daemon mode where the server detatches from the terminal.
.TP
.B "\-l, \-\-log\-file" <file>
Log to a log-file. If you are using the daemon mode, you must provide this option.
file.
.TP
.B "\-d, \-\-debug"
Turns on debugging output.
.SH "SEE ALSO"
mdcli(1), mdclient(1)

The AMGA project at http://amga.web.cern.ch/amga/

.SH AUTHOR
Birger Koblitz <Birger.Koblitz@cern.ch>
