.TH mdcli "1" "September 2005" "mdcli (glite-amga-cli)" "gLite UICommands"
.SH NAME
mdcli \- a command line interface to the AMGA metadata server
.SH SYNOPSIS
.B mdcli [\fI-dvh\fR] [\fI-k key\fR] [\fI-s server\fR] [\fI-p port\fR] [\fI-S sessionID\fR] [\fI-c config-file\fR] [\fIcommand\fR]
.SH DESCRIPTION
mdcli is a shell client for the AMGA metadata server. It sends [\fIcommand\fR] to an AMGA server and
prints out the result. mdcli supports sessions so that only for the first call the full authentication
procedure needs to be done.
.SH OPTIONS
.TP
.B "\-h, \-\-help"
Show a brief summary of the options permitted.
.TP
.B "\-s, \-\-host \-\-server hostname"
Specifies the server name, either an IP-address or a DNS name.
.TP
.B "\-p, \-\-port <port>"
Sets the port to connect to. The default is 8822.
.TP
.B "\-k, \-\-key <key>"
Allows to give the passphrase for the X509 certificate on the command line.  
.TP
.B "\-S, \-\-session <session ID>"
Specifies the session ID to use. This option can be used to allow a single user to keep several sessions in parallel.
If this option is not used a default session ID is being used.
.TP
.B "\-v, \-\-volatile\-sessions"
Disables sessions, even if the server offers them.
.TP
.B "\-c, \-\-config\-file" <file>
Use a configuration file other than the one default ones. The default configuration file
name is mdclient.config searched for first in the current directory and then as
.mdclient.config in the users home directory. This option overrides the default configuration
file.
.TP
.B "\-d, \-\-debug"
Turns on debugging output.
.SH "SEE ALSO"
mdclient(1), amgad(1)

The AMGA project http://amga.web.cern.ch/amga/

.SH AUTHOR
Birger Koblitz <Birger.Koblitz@cern.ch>
