/*
  Copyright (c) Members of the EGEE Collaboration. 2004. 
  See http://www.eu-egee.org/partners/ for details on the copyright
  holders.  

  Licensed under the Apache License, Version 2.0 (the "License"); 
  you may not use this file except in compliance with the License. 
  You may obtain a copy of the License at 

    http://www.apache.org/licenses/LICENSE-2.0 

  Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an "AS IS" BASIS, 
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
  See the License for the specific language governing permissions and 
  limitations under the License.
*/


/*
 * ProcessFrame.h
 *
 *  Created on: Mar 27, 2009
 *      Author: root
 */

#ifndef PROCESSFRAME_H_
#define PROCESSFRAME_H_

#include "AMGAFrame.h"

class ProcessFrame : public AMGAFrame
{
public:
  ProcessFrame();
  virtual  ~ProcessFrame();

  int slaveProcess(TCPServerSocket &serverSocket);

  void test();
private :
    int handleConnection(TCPSocket &socket, MDServer *connection);
    int returnStatistics(TCPSocket &socket);
};

#endif /* PROCESSFRAME_H_ */
