# TEST:0045-1 BETWEEN predicate!
SELECT PNUM FROM PROJ WHERE BUDGET BETWEEN 40000 AND 60000;
# TEST:0045-2 BETWEEN predicate!
SELECT PNUM FROM PROJ WHERE BUDGET >= 40000 AND BUDGET <= 60000;
# TEST:0046-1 NOT BETWEEN predicate   !
SELECT CITY FROM STAFF WHERE GRADE NOT BETWEEN 12 AND 13;
# TEST:0046-2 NOT BETWEEN predicate   !
SELECT CITY FROM STAFF WHERE NOT(GRADE BETWEEN 12 AND 13);
# TEST:0047-1 IN predicate!
SELECT STAFF.EMPNAME FROM STAFF WHERE STAFF.EMPNUM IN (SELECT WORKS.EMPNUM FROM WORKS WHERE WORKS.PNUM IN (SELECT PROJ.PNUM FROM PROJ WHERE PROJ.CITY='Tampa'));
# TEST:0047-2 IN predicate!
SELECT STAFF.EMPNAME FROM STAFF WHERE STAFF.EMPNUM = ANY (SELECT WORKS.EMPNUM FROM WORKS WHERE WORKS.PNUM IN (SELECT PROJ.PNUM FROM PROJ WHERE PROJ.CITY='Tampa'));
# TEST:0048-1 NOT IN predicate!
SELECT WORKS.HOURS FROM WORKS WHERE WORKS.PNUM NOT IN (SELECT PROJ.PNUM FROM PROJ WHERE PROJ.BUDGET BETWEEN 5000 AND 40000);
# TEST:0048-2 NOT IN predicate!
SELECT WORKS.HOURS FROM WORKS WHERE NOT (WORKS.PNUM IN (SELECT PROJ.PNUM FROM PROJ WHERE PROJ.BUDGET BETWEEN 5000 AND 40000));
# TEST:0049-1 IN predicate value list!
SELECT HOURS FROM WORKS WHERE PNUM NOT IN (SELECT PNUM FROM WORKS WHERE PNUM IN ('P1','P2','P4','P5','P6'));
# TEST:0049-2 IN predicate value list!
SELECT HOURS FROM WORKS WHERE NOT (PNUM IN (SELECT PNUM FROM WORKS WHERE PNUM IN ('P1','P2','P4','P5','P6')));
# TEST:0050 LIKE predicate -- %!
SELECT EMPNAME FROM STAFF WHERE EMPNAME LIKE 'Al%';
# TEST:0051 LIKE predicate -- underscore!
SELECT CITY FROM STAFF WHERE EMPNAME LIKE 'B__t%';
# TEST:0052 LIKE predicate -- ESCAPE character!
INSERT INTO STAFF VALUES('E36','Huyan',36,'Xi_an%');
SELECT CITY FROM STAFF WHERE CITY LIKE 'XiS___S%%' ESCAPE 'S';
# TEST:0053-1 NOT LIKE predicate!
SELECT COUNT(*) FROM STAFF WHERE EMPNUM  NOT LIKE '_36';
# TEST:0053-2 NOT LIKE predicate!
SELECT COUNT(*) FROM STAFF WHERE NOT(EMPNUM  LIKE '_36');
DELETE FROM STAFF WHERE EMPNUM = 'E36';
# TEST:0054 IS NULL predicate!
INSERT INTO STAFF VALUES('E36','Huyan',36,NULL);
SELECT EMPNAME FROM STAFF WHERE CITY IS NULL;
# TEST:0055-1 NOT NULL predicate!
SELECT COUNT(*) FROM STAFF;
# TEST:0055-2 NOT NULL predicate!
SELECT COUNT(*) FROM STAFF WHERE CITY IS NOT NULL;
# TEST:0055-3 NOT NULL predicate!
SELECT COUNT(*) FROM STAFF WHERE NOT (CITY IS NULL);
DELETE FROM STAFF WHERE EMPNUM = 'E36';
# TEST:0056 NOT EXISTS predicate!
SELECT STAFF.EMPNAME FROM STAFF WHERE NOT EXISTS (SELECT * FROM PROJ WHERE NOT EXISTS (SELECT * FROM WORKS WHERE STAFF.EMPNUM = WORKS.EMPNUM AND WORKS.PNUM=PROJ.PNUM));
# TEST:0057 ALL quantifier !
SELECT CITY FROM PROJ WHERE BUDGET > ALL (SELECT BUDGET FROM PROJ WHERE CITY='Vienna');
# TEST:0058 SOME quantifier!
SELECT EMPNAME FROM STAFF WHERE GRADE < SOME (SELECT BUDGET/1000 - 39 FROM PROJ WHERE CITY='Deale');
# TEST:0059 ANY quantifier !
SELECT EMPNAME FROM STAFF WHERE GRADE < ANY (SELECT BUDGET / 1000 - 39 FROM PROJ WHERE CITY = 'Deale');
