# TEST:0080 Simple two-table join!
SELECT EMPNUM,EMPNAME,GRADE,STAFF.CITY, PNAME, PROJ.CITY FROM STAFF, PROJ  WHERE STAFF.CITY = PROJ.CITY;
# TEST:0081 Simple two-table join with filter!
SELECT EMPNUM,EMPNAME,GRADE,STAFF.CITY,PNUM,PNAME,PTYPE,BUDGET,PROJ.CITY  FROM STAFF, PROJ WHERE STAFF.CITY = PROJ.CITY  AND GRADE <> 12;
# TEST:0082 Join 3 tables!
SELECT DISTINCT STAFF.CITY, PROJ.CITY FROM STAFF, WORKS, PROJ WHERE STAFF.EMPNUM = WORKS.EMPNUM  AND WORKS.PNUM = PROJ.PNUM;
# TEST:0083 Join a table with itself!
SELECT FIRST1.EMPNUM, SECOND2.EMPNUM FROM STAFF FIRST1, STAFF SECOND2 WHERE FIRST1.CITY = SECOND2.CITY AND FIRST1.EMPNUM < SECOND2.EMPNUM;
# TEST: 0083-SIAHN Join a table with itself!
SELECT * FROM STAFF FIRST1, STAFF SECOND2 WHERE FIRST1.CITY = SECOND2.CITY AND FIRST1.EMPNUM < SECOND2.EMPNUM;
