# TEST:0103 Subquery with comparison predicate!
SELECT PNUM FROM PROJ WHERE PROJ.CITY = (SELECT STAFF.CITY FROM STAFF WHERE EMPNUM = 'E1');
# TEST:0105 Subquery in comparison predicate is empty!
SELECT COUNT(*) FROM STAFF WHERE STAFF.CITY = (SELECT PROJ.CITY FROM PROJ WHERE PNUM > 'P7');
SELECT COUNT(*) FROM STAFF WHERE NOT (STAFF.CITY = (SELECT PROJ.CITY FROM PROJ WHERE PNUM > 'P7' ));
# TEST:0106 Comparison predicate <> !
SELECT PNUM FROM PROJ  WHERE CITY <> 'Deale';
# TEST:0107 Comp predicate with short string logically blank padded!
SELECT COUNT(*) FROM WORKS WHERE EMPNUM = 'E1';
SELECT COUNT(*) FROM WORKS WHERE EMPNUM = 'E1' AND EMPNUM = 'E1 ';
# TEST:0180 NULLs sort together in ORDER BY!
UPDATE STAFF SET GRADE = NULL WHERE EMPNUM = 'E1' OR EMPNUM = 'E3' OR EMPNUM = 'E5';
SELECT EMPNUM,GRADE FROM   STAFF ORDER  BY GRADE,EMPNUM;
DELETE FROM STAFF;
INSERT INTO STAFF VALUES ('E1','Alice',12,'Deale');
INSERT INTO STAFF VALUES ('E2','Betty',10,'Vienna');
INSERT INTO STAFF VALUES ('E3','Carmen',13,'Vienna');
INSERT INTO STAFF VALUES ('E4','Don',12,'Deale');
INSERT INTO STAFF VALUES ('E5','Ed',13,'Akron');
# TEST:0181 NULLs are equal for DISTINCT!
UPDATE STAFF SET GRADE = NULL WHERE EMPNUM = 'E1' OR EMPNUM = 'E3' OR EMPNUM = 'E5';
SELECT DISTINCT GRADE FROM STAFF ORDER BY GRADE;
DELETE FROM STAFF;
INSERT INTO STAFF VALUES ('E1','Alice',12,'Deale');
INSERT INTO STAFF VALUES ('E2','Betty',10,'Vienna');
INSERT INTO STAFF VALUES ('E3','Carmen',13,'Vienna');
INSERT INTO STAFF VALUES ('E4','Don',12,'Deale');
INSERT INTO STAFF VALUES ('E5','Ed',13,'Akron');
