# These are dummy macros to work witout the gLite build environment

AC_DEFUN([AC_GLITE],[

 dnl argument ?
 AMGA_STANDALONE=1
 
]
)

AC_DEFUN([AC_GLOBUS],[
  dnl argument ?

  GLOBUS_SSL_THR_LIBS=""
  GLOBUS_THR_CFLAGS=""
  GLOBUS_LOCATION=""
  AC_SUBST(GLOBUS_THR_CFLAGS)
  AC_SUBST(GLOBUS_SSL_THR_LIBS)
  AC_SUBST(GLOBUS_LOCATION)
]
)

AC_DEFUN([AC_GSOAP],[
  dnl argument ?

  AC_CHECK_GSOAP(2.7.6b,
    AC_MSG_NOTICE("Found reasonable gSOAP version"),
    AC_MSG_ERROR("No suitable gSOAP version found"))
]
)


AC_DEFUN([AC_BOOST],[
  dnl argument ?

  AX_BOOST_THREAD  
  AC_MSG_NOTICE([Setting BOOST_CFLAGS to $BOOST_CFLAGS])
  AC_MSG_NOTICE([Setting BOOST_THREAD_LIBS to $BOOST_THREAD_LIBS])
]
)


AC_DEFUN([AC_XML2],[
  AM_PATH_XML2($1, $2, $3)
  XML2_LIBS=$XML_LIBS
  XML2_CFLAGS=$XML_CPPFLAGS
  if test "x$XML2_CFLAGS" = "x" ; then
  	XML2_CFLAGS=$XML_CFLAGS
  fi
  AC_MSG_NOTICE([Setting XML2_LIBS to $XML2_LIBS])
  AC_MSG_NOTICE([Setting XML2_CFLAGS to $XML2_CFLAGS])
  AC_SUBST(XML2_LIBS)
  AC_SUBST(XML2_CFLAGS)
]
)
