.TH mdclient "1" "September 2005" "mdclient (glite-amga-cli)" "gLite UICommands"
.SH NAME
mdclient \- a terminal client for the AMGA metadata server
.SH SYNOPSIS
.B mdclient [\fI-dS\fR] [\fI-k <key>\fR] [\fI-c config\-file\fR] [\fI-p port\fR] [\fIhost\fR]
.SH DESCRIPTION
mdclient is a terminal client for the AMGA metadata server. After contacting
server \fIhost\fR you can interactively execute metadata commands and see the results.
The default server is localhost.
.SH OPTIONS
.TP
.B "\-h, \-\-help"
Show a brief summary of the options permitted.
.TP
.B "\-p, \-\-port <port>"
Sets the port to connect to. The default is 8822.
.TP
.B "\-S, \-\-silent"
Do not show any output apart from the server responses. Usefull when mdclient
is used from within another program.
.TP
.B "\-k, \-\-key <key>"
Allows to give the passphrase for the X509 certificate on the command line.
.TP
.B "\-c, \-\-config\-file" <file>
Use a configuration file other than the one default ones. The default configuration file
name is mdclient.config searched for first in the current directory and then as
.mdclient.config in the users home directory. This option overrides the default configuration
file.
.TP
.B "\-d, \-\-debug"
Turns on debugging output.
.PP
The client has also built-in timing commands, which allow you to get the execution time of commands.
This can be turned on via "timing on" and switched off via the command "timing off".
.SH "SEE ALSO"
mdcli(1), amgad(1)

The AMGA project at http://amga.web.cern.ch/amga/

.SH AUTHOR
Birger Koblitz <Birger.Koblitz@cern.ch>
