/*
  Copyright (c) Members of the EGEE Collaboration. 2004. 
  See http://www.eu-egee.org/partners/ for details on the copyright
  holders.  

  Licensed under the Apache License, Version 2.0 (the "License"); 
  you may not use this file except in compliance with the License. 
  You may obtain a copy of the License at 

    http://www.apache.org/licenses/LICENSE-2.0 

  Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an "AS IS" BASIS, 
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
  See the License for the specific language governing permissions and 
  limitations under the License.
*/


#ifndef CONSTANTS_H_
#define CONSTANTS_H_

// The extra 1 is for the null terminating charachter
static const unsigned int TABLE_NAME_MAX_SIZE = 65;
static const unsigned int FILENAME_MAX_SIZE = 257; // Also SURL
static const unsigned int DIRNAME_MAX_SIZE = 257;
static const unsigned int PERMISSION_SIZE = 4;
static const unsigned int ACL_MAX_SIZE = 2049;
//static const unsigned int USERNAME_MAX_SIZE = 257;
//static const unsigned int GROUPNAME_MAX_SIZE = 257;
//static const unsigned int GRPMEMBERS_MAX_SIZE = 8193;
static const unsigned int USERNAME_MAX_SIZE = 65;
static const unsigned int GROUPNAME_MAX_SIZE = 65;
static const unsigned int GRPMEMBERS_MAX_SIZE = 1025;
static const unsigned int DIR_INFO_MAX_SIZE = 2049;
static const unsigned int CERTIFICATE_SUBJECT_MAX_SIZE = 257;
static const unsigned int ADDRESS_MAX_SIZE = 65;
static const unsigned int NODE_ID_MAX_SIZE = 65;
static const unsigned int PASSWORD_MAX_SIZE = 65;
static const unsigned int MOUNT_STATE_MAX_SIZE = 17;
static const unsigned int COLUMN_NAME_MAX_SIZE = 65;
static const unsigned int FILE_SIZE_MAX_SIZE = 40;
static const unsigned int CREATED_SIZE = 20;
static const unsigned int GUID_SIZE= 33;
static const unsigned int MD5_SIZE = 33;
static const unsigned int SI_MAX_SIZE = 1025;
static const unsigned int PATH_MAX_SIZE = 1025;
static const unsigned int SITE_PROP_MAX_SIZE = 129;
static const unsigned int CAPABILITIES_MAX_SIZE = 257;
static const unsigned int SITE_NAME_MAX_SIZE = 65;
static const unsigned int VERSION_NAME_MAX_SIZE = 9;

#endif /*CONSTANTS_H_*/

