# TEST:0001 SELECT with ORDER BY DESC!
SELECT EMPNUM,HOURS FROM WORKS WHERE PNUM='P2' ORDER BY EMPNUM DESC;
# TEST:0002 SELECT with ORDER BY integer ASC!
SELECT EMPNUM,HOURS FROM WORKS WHERE PNUM='P2' ORDER BY 2 ASC;
# TEST:0003 SELECT with ORDER BY DESC integer, named column!
SELECT EMPNUM,HOURS FROM WORKS WHERE PNUM = 'P2' ORDER BY 2 DESC,EMPNUM DESC;
# TEST:0004 SELECT with UNION, ORDER BY integer DESC!
SELECT WORKS.EMPNUM FROM WORKS WHERE WORKS.PNUM = 'P2' UNION SELECT STAFF.EMPNUM  FROM STAFF WHERE STAFF.GRADE=13 ORDER BY 1 DESC;
# TEST:0005 SELECT with UNION ALL!
SELECT WORKS.EMPNUM FROM WORKS WHERE WORKS.PNUM = 'P2' UNION ALL    SELECT STAFF.EMPNUM  FROM STAFF WHERE STAFF.GRADE = 13;
# TEST:0158 SELECT with UNION and NOT EXISTS subquery!
SELECT EMPNAME,PNUM,HOURS FROM STAFF,WORKS WHERE STAFF.EMPNUM = WORKS.EMPNUM UNION SELECT EMPNAME,PNUM,HOURS FROM STAFF,WORKS WHERE NOT EXISTS (SELECT HOURS FROM WORKS WHERE STAFF.EMPNUM = WORKS.EMPNUM);
# TEST:0159 SELECT with 2 UNIONs, ORDER BY 2 integers!
SELECT PNUM,EMPNUM,HOURS FROM WORKS WHERE HOURS=80 UNION SELECT PNUM,EMPNUM,HOURS FROM WORKS WHERE HOURS=40 UNION SELECT PNUM,EMPNUM,HOURS FROM WORKS WHERE HOURS=20 ORDER BY 3,1;
# TEST:0160 SELECT with parenthesized UNION, UNION ALL!
SELECT PNUM,EMPNUM,HOURS FROM WORKS WHERE HOURS=12 UNION ALL (SELECT PNUM,EMPNUM,HOURS FROM WORKS UNION SELECT PNUM,EMPNUM,HOURS FROM WORKS WHERE HOURS=80) ORDER BY 2,1;
