# TEST:0096 Subquery with MAX in < comparison predicate!
SELECT EMPNUM FROM STAFF WHERE GRADE < (SELECT MAX(GRADE) FROM STAFF);
# TEST:0097 Subquery with AVG - 1 in <= comparison predicate!
SELECT * FROM STAFF WHERE GRADE <= (SELECT AVG(GRADE) - 1 FROM STAFF);
# TEST:0098 IN predicate with simple subquery!
SELECT EMPNAME FROM STAFF WHERE EMPNUM IN (SELECT EMPNUM FROM WORKS WHERE PNUM = 'P2') ORDER BY EMPNAME;
# TEST:0099 Nested IN predicate - 2 levels!
SELECT EMPNAME FROM STAFF WHERE EMPNUM IN (SELECT EMPNUM FROM WORKS WHERE PNUM IN (SELECT PNUM FROM PROJ WHERE PTYPE = 'Design'));
# TEST:0099-SIAHN Nested IN predicate - 2 levels!
SELECT * FROM STAFF WHERE EMPNUM IN (SELECT EMPNUM FROM WORKS WHERE PNUM IN (SELECT PNUM FROM PROJ WHERE PTYPE = 'Design'));
# TEST:0100 Nested IN predicate - 6 levels!
SELECT EMPNUM, EMPNAME FROM STAFF WHERE EMPNUM IN (SELECT EMPNUM FROM WORKS WHERE PNUM IN (SELECT PNUM FROM PROJ WHERE PTYPE IN (SELECT PTYPE FROM PROJ WHERE PNUM IN (SELECT PNUM  FROM WORKS WHERE EMPNUM IN (SELECT EMPNUM FROM WORKS WHERE PNUM IN (SELECT PNUM FROM PROJ WHERE PTYPE = 'Design')))))) ORDER BY EMPNUM;
# TEST:0101 Quantified predicate <= ALL with AVG in GROUP BY!
SELECT EMPNUM,PNUM FROM   WORKS WHERE  HOURS <= ALL (SELECT AVG(HOURS) FROM   WORKS  GROUP BY PNUM);
# TEST:0102 Nested NOT EXISTS with correlated subquery and DISTINCT!
SELECT DISTINCT EMPNUM FROM WORKS WORKSX WHERE NOT EXISTS ( SELECT * FROM WORKS WORKSY WHERE EMPNUM = 'E2' AND NOT EXISTS (SELECT * FROM WORKS WORKSZ WHERE WORKSZ.EMPNUM = WORKSX.EMPNUM AND WORKSZ.PNUM = WORKSY.PNUM)); 

