# TEST:0393 SUM, MAX on Cartesian product!
SELECT SUM(HOURS), MAX(HOURS) FROM  STAFF, WORKS;
# TEST:0394 AVG, MIN on joined table with WHERE without GROUP!
SELECT AVG(HOURS), MIN(HOURS) FROM  STAFF, WORKS WHERE STAFF.EMPNUM = 'E2' AND STAFF.EMPNUM = WORKS.EMPNUM;
# TEST:0395 SUM, MIN on joined table with GROUP without WHERE!
SELECT STAFF.EMPNUM, SUM(HOURS), MIN(HOURS) FROM  STAFF, WORKS GROUP BY STAFF.EMPNUM ORDER BY 1;
# TEST:0396 SUM, MIN on joined table with WHERE, GROUP BY, HAVING!
SELECT STAFF.EMPNUM, AVG(HOURS), MIN(HOURS) FROM  STAFF, WORKS WHERE STAFF.EMPNUM IN ('E1','E4','E3') AND STAFF.EMPNUM = WORKS.EMPNUM GROUP BY STAFF.EMPNUM HAVING COUNT(*) > 1 ORDER BY STAFF.EMPNUM;
# TEST:0417 Cartesian product GROUP BY 2 columns with NULLs!
DELETE FROM STAFF1;
INSERT INTO STAFF VALUES ('E6', 'David', 17, NULL);
INSERT INTO STAFF VALUES ('E7', 'Tony', 18, NULL);
INSERT INTO STAFF1 SELECT * FROM STAFF;
SELECT MAX(STAFF1.GRADE), SUM(STAFF1.GRADE) FROM STAFF1, STAFF GROUP BY STAFF1.CITY, STAFF.CITY;
DELETE FROM STAFF WHERE EMPNUM > 'E5';
DELETE FROM STAFF1;
# TEST:0418 AVG, SUM, COUNT on Cartesian product with NULL!
SELECT AVG(T1.COL4), AVG(T1.COL4 + T2.COL4), SUM(T2.COL4), COUNT(DISTINCT T1.COL4) FROM VTABLE T1, VTABLE T2;
